petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSynchronizedFlush

Flushes to the screen output from all processors involved in previous PetscSynchronizedPrintf() calls.

### Synopsis

    PetscErrorCode  PetscSynchronizedFlush(MPI_Comm comm,FILE *fd)

Collective on MPI_Comm

### Input Parameters

| comm | - the communicator
| fd | - the file pointer (valid on process 0 of the communicator)

### Notes

Usage of PetscSynchronizedPrintf() and PetscSynchronizedFPrintf() with different MPI communicators REQUIRES an intervening call to PetscSynchronizedFlush().

### See Also

PetscSynchronizedPrintf(), PetscFPrintf(), PetscPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIISynchronizedPrintf()

Level:intermediate
Location:src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex2.c.html
src/sys/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex10.c.html